Subject: [Rfced-future] Who are the stream managers?

From: Lars Eggert <[email-masked]>
Date: Tue, 12 Oct 2021 15:17:13 +0300

Hi,

the discussion around vacancies on the RSAB and how quickly they can be filled made me want to confirm my understanding of what role the stream managers have and who they are defined to be for each stream.

The RFC Editor has a helpful FAQ at https://www.rfc-editor.org/faq/#streamman that has the following table

> Stream				Stream Manager
> IAB				IAB Chair
> IETF				IESG
> Independent Submissions		ISE
> IRTF				IRSG

and says that the table is "as defined in RFC4844."

However, RFC4844 (and its replacement, RFC8729) does not refine the role of a stream manager. The closest it gets is to define the role of the approval body for each stream, which is not quite the same thing.

RFC5620 seems to be the first RFC to use the term "stream manager", also without further defining the role or defining who serves in it for a given stream. (RFC5620 also uses the term "stream approver", which seems to relate to RFC4844's "approval body" role.)

RFC6322, RFC6635, RFC8726 and RFC8728 also talk about "stream managers", again without defining exactly what they do and who they are. (Figure 1 in RFC6635 pictures streams and what I think are their approving bodies - or is this supposed to identify the stream managers? The text doesn't really clarify this.)

RFC8179 defines "alternate streams" and then goes on to identify stream managers for them (but doesn't do so for the IETF stream). It again refers to RFC4844, which (peer above) I don't think has these definitions:

>    The rules that apply to documents in Alternate Streams are
>    established by the managers of those Alternate Streams (currently the
>    Internet Architecture Board (IAB), Internet Research Steering Group
>    (IRSG), and Independent Submission Editor, as specified in
>    [RFC4844]).

All this leaves me with a bunch of questions about whether stream managers and stream approving bodies are just two terms for the same role. If the roles are different, is there any RFC that I missed that would define who the stream managers are?

Thanks,
Lars

---

From: John C Klensin <[email-masked]>
Date: Tue, 12 Oct 2021 10:24:56 -0400

--On Tuesday, October 12, 2021 15:17 +0300 Lars Eggert
<[email-masked]> wrote:

> Hi,
> 
> the discussion around vacancies on the RSAB and how quickly
> they can be filled made me want to confirm my understanding of
> what role the stream managers have and who they are defined to
> be for each stream.
> 
> The RFC Editor has a helpful FAQ at
> https://www.rfc-editor.org/faq/#streamman that has the
> following table
> 
>> Stream				Stream Manager
>> IAB				IAB Chair
>> IETF				IESG
> However, RFC4844 (and its replacement, RFC8729) does not
> refine the role of a stream manager. The closest it gets is to
> define the role of the approval body for each stream, which is
> not quite the same thing.
> 
> RFC5620 seems to be the first RFC to use the term "stream
> manager", also without further defining the role or defining
> who serves in it for a given stream. (RFC5620 also uses the
> term "stream approver", which seems to relate to RFC4844's
> "approval body" role.)
> 
> RFC6322, RFC6635, RFC8726 and RFC8728 also talk about "stream
> managers", again without defining exactly what they do and who
> they are. (Figure 1 in RFC6635 pictures streams and what I
> think are their approving bodies - or is this supposed to
> identify the stream managers? The text doesn't really clarify
> this.)
> 
> RFC8179 defines "alternate streams" and then goes on to
> identify stream managers for them (but doesn't do so for the
> IETF stream). It again refers to RFC4844, which (peer above) I
> don't think has these definitions:
> 
>>    established by the managers of those Alternate Streams
>>    (currently the Internet Architecture Board (IAB), Internet
>>    Research Steering Group (IRSG), and Independent Submission
>>    Editor, as specified in [RFC4844]).
> 
> All this leaves me with a bunch of questions about whether
> stream managers and stream approving bodies are just two terms
> for the same role. If the roles are different, is there any
> RFC that I missed that would define who the stream managers
> are?

I think that, traditionally, it has been two names for the same
role.  In the informal meetings that I remember (warning: from
years ago), if someone, or even two people showed up and
participated constructively in discussions, that was fine (Sandy
can probably confirm or clarify that).  If we are doing
something different, e.g., with named individuals as RSAB
members, perhaps it would be helpful to drop the "manager"
terminology and talk about "stream representative", "stream
spokesperson", or "stream designee".

best,
   john

---

From: Eliot Lear <[email-masked]>
Date: Tue, 12 Oct 2021 16:57:43 +0200

>> and says that the table is "as defined in RFC4844."

Is the simple way to address this to simply include the above table in 
the draft?

Eliot

---

From: Mirja Kuehlewind <[email-masked]>
Date: Tue, 12 Oct 2021 17:14:43 +0200

Only that the table is not correct as the IAB should be the stream manager in this case and not the IAB Chair.

However, I would rather define more clearly what the term means.

> On 12. Oct 2021, at 16:57, Eliot Lear <[email-masked]> wrote:
> 
> 
> Is the simple way to address this to simply include the above table in the draft?
> 
> Eliot
> 
> 
>>> 
> <OpenPGP_0x87B66B46D9D27A33.asc>-- 
> Rfced-future mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/rfced-future

---

From: John C Klensin <[email-masked]>
Date: Tue, 12 Oct 2021 11:54:42 -0400

--On Tuesday, October 12, 2021 16:57 +0200 Eliot Lear
<[email-masked]> wrote:

>>> they can be filled made me want to confirm my understanding
>>> of what role the stream managers have and who they are
>>> defined to be for each stream.
>>> 

Eliot,

Does not solve the problem because that table --as well as the
way "stream manager" and "stream approving bodies" have been
used-- are sometimes about bodies and sometimes about designated
people.    And, of course, Mirja is correct that, especially if
the table is going to show "IESG" and "IRTF", it should show
"IAB" and not "IAB Chair".

I think we may be in need of some new terminology that we can
define precisely rather than trying to reuse old terms that have
been used in imprecise ways and hope people notice our new
definitions.

best,
   john

---

From: Colin Perkins <[email-masked]>
Date: Tue, 12 Oct 2021 17:33:08 +0100

Hi,

Having a group rather than a person occupying a particular role also seems less than ideal, in terms of providing a consistent point of contact to resolve any issues relating to a stream. 

Do we need a one-page update to RFC 8729 that says something like:

> The approval bodies for the RFC streams are the IAB, IESG, IRSG, and ISE. Each approval body identifies a Stream Manager to act as an administrative point of contact on behalf of that stream. The Stream Managers are the IAB Chair, IETF Chair, IRTF Chair, and ISE, or their delegates, respectively.

Colin

> On 12 Oct 2021, at 16:14, Mirja Kuehlewind <[email-masked]> wrote:
> 
> -- 

-- 
Colin Perkins
https://csperkins.org/

---

From: Mirja Kuehlewind <[email-masked]>
Date: Tue, 12 Oct 2021 18:38:04 +0200

I’m all in for defining this clearly. However, the proposed text below would need to be discussed with the IAB because there is currently no notation in the IAB that the stream manager position fails back to the IAB Chair by default.

> On 12. Oct 2021, at 18:33, Colin Perkins <[email-masked]> wrote:
> 
> Hi,
>

---

From: Eliot Lear <[email-masked]>
Date: Tue, 12 Oct 2021 18:42:17 +0200

Hi Colin,

I like the idea of clarifying as well.  One question:

>> The approval bodies for the RFC streams are the IAB, IESG, IRSG, and ISE. Each approval body identifies a Stream Manager to act as an administrative point of contact on behalf of that stream. The…
Do you mean "The Initial Stream Managers" ....

?

Thanks,

Eliot

---

From: John C Klensin <[email-masked]>
Date: Tue, 12 Oct 2021 13:27:20 -0400

--On Tuesday, October 12, 2021 17:33 +0100 Colin Perkins
<[email-masked]> wrote:

>...
> The approval bodies for the RFC streams are the IAB, IESG,
> IRSG, and ISE. Each approval body identifies a Stream Manager
> to act as an administrative point of contact on behalf of that
> stream. The Stream Managers are the IAB Chair, IETF Chair,
> IRTF Chair, and ISE, or their delegates, respectively.

Again borrowing a bit from Mirja's comment, there is  not only
no reason to force this on the IAB Chair (even by default) but
how those groups choose their representatives should not be
within scope for this group or its document.

So, still preferring "Delegate" or "Representative" to
"Manager", something more like:

NEW:

	The approval bodies for the RFC streams are the IAB,
	IESG, IRSG, and ISE. Each approval body designates, by a
	method of its choosing, a Stream Representative to act
	as an administrative point of contact on behalf of that
	stream and member of the RSAB. 

Isn't that enough?

If we can't trust those bodies to make timely initial
appointments, much of the discussion about vacancies gets more
complicated.

And, reprising an earlier conversation, if we intend "from their
membership" rather than recruiting members of the community,
that phrase should go in there.  Or we can leave that to the
discretion of the bodies too.

   john

---

From: Colin Perkins <[email-masked]>
Date: Tue, 12 Oct 2021 19:47:11 +0100

> On 12 Oct 2021, at 18:27, John C Klensin <[email-masked]> wrote:
> 
> 
> 

No objection to each body selecting their stream manager according to a method of their own choosing. 

The intention was to define Stream Manager, though, to clarify existing usage, not to define a new term.

> discretion of the bodies too.

If we go that route, I’d suggest IAB and IESG select one of their members to be their stream manager, IRTF Chair and ISE are the managers for the respective streams but can delegate. 

-- 
Colin Perkins
https://csperkins.org/

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 12 Oct 2021 13:06:01 -0600

> The intention was to define Stream Manager, though, to clarify existing usage, not to define a new term.

I don't think it's up to us to define what a stream manager is (in part 
because it's not clear to me at least what their responsibilities are). 
However, I do think we can define what a stream representative is on the 
RSAB.

> If we go that route, I’d suggest IAB and IESG select one of their members to be their stream manager, IRTF Chair and ISE are the managers for the respective streams but can delegate.

I think that's effectively what our current text says.

We might want to make these matters even clearer, such as:

###

The voting members of the RSAB are as follows:

* As the stream representative for the IETF stream, the IETF chair
   or their delegate appointed by the IESG
* As the stream representative for the IAB stream, the IAB chair
   or their delegate appointed by the IAB
* As the stream representative for the IRTF stream, the IRTF chair
   or their delegate appointed by the IRTF Chair
* As the stream representative for the Independent stream, the
   Independent Submissions Editor (ISE) {{RFC8730}} or their
   delegate appointed by the ISE
* The RFC Series Consulting Editor

The appointing bodies shall determine their own processes for
appointing delegates, such as provision for an open nominations
period. If it becomes necessary to replace such a delegate for
any reason, then for the sake of continuity the appointing body
should name a new delegate to complete the former delegate's term.
Appointing bodies should ensure that voting members are seated at all
times and should fill any vacancies with all due speed, if necessary
on a temporary basis.  In the case that the IRTF chair or ISE is
incapacitated or otherwise unable to appoint a delegate, the IAB (as
the appointing body for the IRTF chair and ISE respectively) shall
appoint a temporary delegate.

###

Peter

---

From: Colin Perkins <[email-masked]>
Date: Tue, 12 Oct 2021 20:10:53 +0100

> On 12 Oct 2021, at 20:06, Peter Saint-Andre <[email-masked]> wrote:
> I don't think it's up to us to define what a stream manager is (in part because it's not clear to me at least what their responsibilities are). However, I do think we can define what a stream representative is on the RSAB.

Maybe I’m confused, but I thought the point of this thread was to define what is the stream manager? We already have, as you note below, a definition of the stream representatives for the RSAB.

Colin

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 12 Oct 2021 13:21:52 -0600

> Maybe I’m confused, but I thought the point of this thread was to define what is the stream manager? We already have, as you note below, a definition of the stream representatives for the RSAB.

But, in general, what are the responsibilities of stream managers? For 
instance, is the stream manager on the escalation path for issues that 
come up between an author and the RPC? Is the stream manager a point of 
contact for authors within their stream regarding authoring, tooling, 
stream-specific policies, etc.? This kind of thing seems out of scope 
for the Program.

Peter

---

From: Colin Perkins <[email-masked]>
Date: Tue, 12 Oct 2021 20:27:07 +0100

> On 12 Oct 2021, at 20:21, Peter Saint-Andre <[email-masked]> wrote:
> But, in general, what are the responsibilities of stream managers? For instance, is the stream manager on the escalation path for issues that come up between an author and the RPC? Is the stream manager a point of contact for authors within their stream regarding authoring, tooling, stream-specific policies, etc.?

Isn’t this already defined? My understanding is that the existing RFCs already specify this, but are just a little vague on exactly who the stream managers are.

> This kind of thing seems out of scope for the Program.

Sure, I agree. It seemed a useful clarification, that we might ask the IAB to publish, since it had come up in this programme. Equally, I’m happy not to take this any further.

-- 
Colin Perkins
https://csperkins.org/

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 12 Oct 2021 13:35:22 -0600

> Isn’t this already defined? My understanding is that the existing RFCs already specify this, but are just a little vague on exactly who the stream managers are.

As John's note uncovered, the existing RFCs don't specify this. Stream 
managers are mentioned in RFC 6635 with a reference to RFC 4844, but 
neither defines the responsibilities of the managers, except that 6635 
says "the stream manager for each stream is responsible for the content 
of that stream" (and a few other small statements), but nothing 
definitional as far as I can see.

Peter

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 13 Oct 2021 09:07:34 +1300

Peter,

Below...

> definitional as far as I can see.

Our draft says "The stream manager for each stream is responsible
for the content of that stream."

How about adding:

"and is designated by the body responsible for that stream."

I don't really see any need to say more in this document. Leave each stream to answer Lars's question.

    Brian

---

From: John C Klensin <[email-masked]>
Date: Tue, 12 Oct 2021 17:13:21 -0400

--On Tuesday, October 12, 2021 20:10 +0100 Colin Perkins
<[email-masked]> wrote:

>> On 12 Oct 2021, at 20:06, Peter Saint-Andre
>> <[email-masked]> wrote: On 10/12/21 12:47 PM, Colin
>> Perkins wrote:
>>>>> IRSG, and ISE. Each approval body identifies a Stream
>>>>> Manager to act as an administrative point of contact on
>>>>> behalf of that stream. The Stream Managers are the IAB
>>>>> Chair, IETF Chair, IRTF Chair, and ISE, or their
>>>>> delegates, respectively.
>>>> 
>>>> Again borrowing a bit from Mirja's comment, there is  not
>>>> only no reason to force this on the IAB Chair (even by
>>>> default) but how those groups choose their representatives
>>>> should not be within scope for this group or its document.
>>>> 
>>> No objection to each body selecting their stream manager
>>> according to a method of their own choosing. The intention
>>> was to define Stream Manager, though, to clarify existing
>>> usage, not to define a new term.
>> 
>> I don't think it's up to us to define what a stream manager
>> is (in part because it's not clear to me at least what their
>> responsibilities are). However, I do think we can define what
>> a stream representative is on the RSAB.
> 
> Maybe I'm confused, but I thought the point of this thread
> was to define what is the stream manager? We already have, as
> you note below, a definition of the stream representatives for
> the RSAB.

Well, using the IESG at just an example, maybe I'm wrong but my
sense is that we've got contexts in which "stream manager"
sometimes refers to the person (often the IETF Chair but not
always) who is the IESG's lead on RFC Editor matters and others
in which the term refers to the entire IESG as the body that
makes decisions about publication in the streams.

I was suggesting making up and using a new, well-defined, term
to avoid the potential for future confusion even if we precisely
define "stream management" now.

   john

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 12 Oct 2021 22:24:17 +0100

I don't know if it has been said before (I'm not really reading every email
on this list), but for a significant period of time there were "stream
managers meetings" convened by the RSE roughly quarterly. At these meeting
the IETF chair, IAB chair, IRTF chair, and ISE met with the RSE and RPC to
cover any issues concerning RFCs in general and the interactions between the
streams. These meetings have fallen out of fashion, although the RPC has
attempted to convene them a couple of times when.

Since, to the best of my knowledge, delegates were never sent to these
meetings, it was clear that those four people considered themselves to be
the stream managers.

I am unclear why we are attempting to create process around this. The buck
must stop somewhere.

Adrian

-----Original Message-----
From: Rfced-future <[email-masked]> On Behalf Of John C
Klensin
Sent: 12 October 2021 22:13
To: Colin Perkins <[email-masked]>; Peter Saint-Andre
<[email-masked]>
Cc: [email-masked]
Subject: Re: [Rfced-future] Who are the stream managers?

   john

---

From: John C Klensin <[email-masked]>
Date: Tue, 12 Oct 2021 17:34:41 -0400

--On Tuesday, October 12, 2021 13:06 -0600 Peter Saint-Andre
<[email-masked]> wrote:

>...
> I don't think it's up to us to define what a stream manager is
> (in part because it's not clear to me at least what their

Ok.  THen let's stop talking about stream managers and any other
term that we are going to define in a way that is both
unambiguous and consistent with existing or historical practice.

>>> appointments, much of the discussion about vacancies gets
>>> more complicated.

>>> And, reprising an earlier conversation, if we intend "from
>>> their membership" rather than recruiting members of the
>>> community, that phrase should go in there.  Or we can leave
>>> that to the discretion of the bodies too.
>> 
>> If we go that route, I'd suggest IAB and IESG select one of
>> their members to be their stream manager, IRTF Chair and ISE
>> are the managers for the respective streams but can delegate.
> 

Yes, modulo another distinction.  There is a significant
distinction between our piling this on the Chairs and then
saying "they can delegate" versus our saying "up to the body".
"More duties, responsibilities, and power to the Chairs" is not
necessarily a good idea and should be beyond the scope of this
effort to decide anyway.  So...

>    or their delegate appointed by the IESG

Why not just 

	* As the stream representative for the IETF stream, a
	delegate appointed by the IESG from their membership.

with similar language for the IAB.  I don't have a strong option
as to whether a specific role should be called out for the IRTF
or ISE.  They may be different.  And we should decide whether
specifying the pool of people who can be selected is important.

> period.

If the IESG and IAB must make appointments from their membership
(for which there are several good arguments) than what purpose
does an open nominations period serve?  And, for the IRTF and
ISE, it seems clear that someone who can really represent those
streams (and hence comes from within (however the chairs define
that) is more appropriate than someone from the broader
community... so, again, open nominations may be, at best, a
waste of time.

> If it becomes necessary to replace such a delegate for

wfm.

best,
   john

---

From: John C Klensin <[email-masked]>
Date: Tue, 12 Oct 2021 17:43:38 -0400

--On Wednesday, October 13, 2021 09:07 +1300 Brian E Carpenter
<[email-masked]> wrote:

>> As John's note uncovered, the existing RFCs don't specify
>> this. Stream  managers are mentioned in RFC 6635 with a
>> reference to RFC 4844, but  neither defines the
>> responsibilities of the managers, except that 6635  says "the
>> stream manager for each stream is responsible for the content 
> 
>> of that stream" (and a few other small statements), but
>> nothing  definitional as far as I can see.
> 
> Our draft says "The stream manager for each stream is
> responsible for the content of that stream."

But that very nearly contradicts the notion that the stream
manager is a person.   In particular, for the IESG, it would
imply that the IETF Chair (or designee, if Peter's prior text
suggestion remains intact, suddenly has move votes that any
other IESG member and/or veto power relative to document
approval.  That would be, at least IMO, unprecedented.  The
responsibility for the content of the IETF Stream lies in the
IESG, not an individual.   Similarly for the content of the IAB
Stream: either the IAB has collective responsibility or I've lot
track what what that body is about.

> "and is designated by the body responsible for that stream."

And that is clearly about an individual.

> I don't really see any need to say more in this document.
> Leave each stream to answer Lars's question.

Agreed, as long as we either get rid of the "stream manager"
terminology for at least one of those two functions of get rid
of the term entirely.

   john

---

From: Martin J. Dürst <[email-masked]>
Date: Wed, 13 Oct 2021 09:43:16 +0900

Sorry to be short, but once more: Can we please get rid of
"such as provision for an open nominations period"?
As I have explained in a previous mail, it gives the wrong impression.

Regards,   Martin.

On 2021-10-13 04:06, Peter Saint-Andre wrote:
>> The intention was to define Stream Manager, though, to clarify 
>> existing usage, not to define a new term.
> 
>> If we go that route, I’d suggest IAB and IESG select one of their 
>> members to be their stream manager, IRTF Chair and ISE are the 
>> managers for the respective streams but can delegate.
> 

-- 
Prof. Dr.sc. Martin J. Dürst
Department of Intelligent Information Technology
College of Science and Engineering
Aoyama Gakuin University
Fuchinobe 5-1-10, Chuo-ku, Sagamihara
252-5258 Japan

---

From: John C Klensin <[email-masked]>
Date: Wed, 13 Oct 2021 01:36:38 -0400

--On Tuesday, October 12, 2021 22:24 +0100 Adrian Farrel
<[email-masked]> wrote:

> I don't know if it has been said before (I'm not really
> reading every email on this list), but for a significant
> period of time there were "stream managers meetings" convened
> by the RSE roughly quarterly. At these meeting the IETF chair,
> IAB chair, IRTF chair, and ISE met with the RSE and RPC to
> cover any issues concerning RFCs in general and the
> interactions between the streams. These meetings have fallen
> out of fashion, although the RPC has attempted to convene them
> a couple of times when.
> 
> Since, to the best of my knowledge, delegates were never sent
> to these meetings, it was clear that those four people
> considered themselves to be the stream managers.
> 
> I am unclear why we are attempting to create process around
> this. The buck must stop somewhere.

At least as I understood it, with the RSE structure, those
meetings were mostly advisory and the buck stopped with the RSE.
Borrowing a bit from Jay's note,  with the new arrangement, we
have a weak RSCE (my understanding of Jay's conclusion is that
that the position has too little authority to do any harm and
hence cannot be where the buck stops).  That means the buck
probably now stops with the RSAB (and those stream managers
(whatever that means) and/or the delegates to the RSAB if they
are different).  That, IMO, requires being a bit more clear
about what is intended or that we be explicit that we are
leaving things to be sorted out as things go along in the future.

    john